# Našeptávač adres

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /addressWhisper:
    get:
      summary: Našeptávač adres
      deprecated: false
      description: >+
        ## Význam a použití

        Poskytuje tzv. „našeptávání“ (autocomplete) adres uživatelům či
        aplikacím. Když uživatel začne do formuláře psát (např. název ulice,
        město, PSČ atd.), metoda vrací seznam možných relevantních adres či
        jejich částí. Používá se především k:

        - Urychlení zadávání adres při vytváření zásilky.

        - Zajištění správnosti (validity) a formátu adresy před jejím odesláním
        do systému PPL.

        - Minimalizace chyb při ručním psaní adres.

      tags:
        - API Metody/AddressWhisper
        - AddressWhisper
      parameters:
        - name: Street
          in: query
          description: Ulice
          required: false
          schema:
            type: string
        - name: ZipCode
          in: query
          description: PSČ
          required: false
          schema:
            type: string
        - name: City
          in: query
          description: Město
          required: false
          schema:
            type: string
        - name: CalledFrom
          in: query
          description: Našeptávání z Ulice/PSČ/Město
          required: false
          schema:
            $ref: >-
              #/components/schemas/Eps.Api.MyApi2.Web.Models.AddressWhisper.CalledFrom
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-apidog-refs:
                    01JKAZFET4M14AV2H2M3N557YD:
                      $ref: >-
                        #/components/schemas/Eps.Api.MyApi2.Web.Models.AddressWhisper.AddressWhispModel
                      x-apidog-overrides:
                        city: &ref_0
                          type: string
                          description: Město
                          nullable: true
                        place: &ref_1
                          type: string
                          description: Místo
                          nullable: true
                        street: &ref_2
                          type: string
                          description: Ulice
                          nullable: true
                        houseNumber: &ref_3
                          type: string
                          description: Číslo domu
                          nullable: true
                        evidenceNumber: &ref_6
                          type: boolean
                          description: >-
                            Označ true pokud je číslo domu podtypem evidenčního
                            čísla
                        zipCode: &ref_7
                          type: string
                          description: PSČ
                          nullable: true
                        valid: &ref_9
                          type: boolean
                          description: Validní adresa
                          readOnly: true
                        admCode: &ref_8
                          type: string
                          nullable: true
                        referenceNumberChar: &ref_5
                          type: string
                          nullable: true
                        referenceNumber: &ref_4
                          type: string
                          nullable: true
                        fullStreet: &ref_10
                          type: string
                          description: Adresa ulice
                          readOnly: true
                          nullable: true
                      required: []
                  x-apidog-orders:
                    - 01JKAZFET4M14AV2H2M3N557YD
                  properties:
                    city: *ref_0
                    place: *ref_1
                    street: *ref_2
                    houseNumber: *ref_3
                    referenceNumber: *ref_4
                    referenceNumberChar: *ref_5
                    evidenceNumber: *ref_6
                    zipCode: *ref_7
                    admCode: *ref_8
                    valid: *ref_9
                    fullStreet: *ref_10
                  x-apidog-ignore-properties:
                    - city
                    - place
                    - street
                    - houseNumber
                    - referenceNumber
                    - referenceNumberChar
                    - evidenceNumber
                    - zipCode
                    - admCode
                    - valid
                    - fullStreet
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: OK
        '304':
          description: Not Modified
          content:
            application/json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: '304'
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPTHKT110M0JYQ7JS01V3B
                x-apidog-refs:
                  01JJKPTHKT110M0JYQ7JS01V3B: &ref_11
                    $ref: >-
                      #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Bad Request
        '405':
          description: MethodNotAllowed
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPVA82EF580HG9GV4T0BAS
                x-apidog-refs:
                  01JJKPVA82EF580HG9GV4T0BAS: *ref_11
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: '405'
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPVV891AVV3E6X048X0Q94
                x-apidog-refs:
                  01JJKPVV891AVV3E6X048X0Q94: *ref_11
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPW2CJVM9BNKF7A7V0H1QA
                x-apidog-refs:
                  01JJKPW2CJVM9BNKF7A7V0H1QA: *ref_11
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/AddressWhisper
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465888-run
components:
  schemas:
    Eps.Api.MyApi2.Web.Models.AddressWhisper.CalledFrom:
      enum:
        - Street
        - ZipCode
        - City
      type: string
      description: Called from UI control
      x-apidog-folder: ''
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AddressWhisper.AddressWhispModel:
      type: object
      properties:
        city:
          type: string
          description: City
          nullable: true
        place:
          type: string
          description: Place
          nullable: true
        street:
          type: string
          description: Street
          nullable: true
        houseNumber:
          type: string
          description: House number
          nullable: true
        referenceNumber:
          type: string
          description: Reference number
          nullable: true
        referenceNumberChar:
          type: string
          description: Reference number char
          nullable: true
        evidenceNumber:
          type: boolean
          description: Mark if house number is subtype of evidence number
        zipCode:
          type: string
          description: Zip code
          nullable: true
        admCode:
          type: string
          description: ADM code
          nullable: true
        valid:
          type: boolean
          description: Valid adress
          readOnly: true
        fullStreet:
          type: string
          description: Street address with details
          readOnly: true
          nullable: true
      additionalProperties: false
      description: Address whisp model
      x-apidog-orders:
        - city
        - place
        - street
        - houseNumber
        - referenceNumber
        - referenceNumberChar
        - evidenceNumber
        - zipCode
        - admCode
        - valid
        - fullStreet
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
